//-----------------------------LICENSE NOTICE------------------------------------
//   ____        _           _       _____      _                                
//  |  _ \      | |         ( )     |  __ \    | |                               
//  | |_) | __ _| |__   __ _|/ ___  | |__) |_ _| | __ _  ___ ___                 
//  |  _ < / _` | '_ \ / _` | / __| |  ___/ _` | |/ _` |/ __/ _ |                
//  | |_) | (_| | |_) | (_| | \__ \ | |  | (_| | | (_| | (_|  __/                
//  |____/ \__,_|_.__/ \__,_| |___/ |_|   \__,_|_|\__,_|\___\___|                
//
//  Code & Gfx Copyright (C) 2017 Rafael Castillo (@Azicuetano)
//  Music & Fx Copyright (C) 2017 John McKlain (@elmcklain)
//  This file is part of BABA'S PALACE: an Amstrad CPC Game made with CPCTelera
//
//  This program is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.
//------------------------------------------------------------------------------

#include "portraits.h"
// cpcretrodev version
// Compressed with EXOMIZER


const u8 G_portrait_babayaga[589] = {
 0x20, 0x40, 0x04, 0x20, 0x04, 0x00, 0x00, 0x00, 0x00, 0x64, 0x02, 0x62, 0x04, 0x10, 0x60, 0x36,
 0x07, 0x62, 0x04, 0x64, 0x42, 0x60, 0x12, 0x72, 0x43, 0x62, 0x1c, 0xc0, 0x0c, 0xc3, 0x1c, 0x3c,
 0x22, 0x2c, 0x44, 0x75, 0xb0, 0x4c, 0x6d, 0xcf, 0xa0, 0xc2, 0x12, 0x84, 0x8a, 0xdf, 0x09, 0xff,
 0x31, 0x9e, 0xad, 0x48, 0x87, 0x82, 0xac, 0xdf, 0xc8, 0xef, 0x44, 0x02, 0x86, 0x0d, 0x69, 0x31,
 0xbe, 0x03, 0xc7, 0xdf, 0xcf, 0x1e, 0x15, 0x00, 0xa5, 0x7d, 0x19, 0xd5, 0x4b, 0xe2, 0xa8, 0xc1,
 0x3a, 0x18, 0x82, 0x8e, 0x82, 0xd8, 0xfc, 0x04, 0x4a, 0xae, 0xe0, 0x56, 0x44, 0x74, 0x12, 0xfd,
 0x78, 0x3c, 0xd7, 0xba, 0x0e, 0x83, 0x01, 0xec, 0xdf, 0x0c, 0x8c, 0x50, 0x43, 0x17, 0xf4, 0x58,
 0x22, 0x30, 0x19, 0x6e, 0x63, 0x7d, 0x26, 0x3e, 0x36, 0x9a, 0x63, 0x30, 0xa1, 0x20, 0x71, 0x91,
 0x4d, 0xe4, 0xe5, 0x6a, 0x7b, 0xb8, 0xc3, 0xcf, 0x9a, 0xb4, 0xc7, 0xe7, 0xc7, 0x8e, 0x32, 0x65,
 0xf3, 0xe7, 0x98, 0x6a, 0xcf, 0xf2, 0x8c, 0x5e, 0xf3, 0x7d, 0x38, 0xfb, 0xdf, 0xf7, 0xc6, 0x84,
 0x9e, 0xe0, 0x28, 0x2e, 0x75, 0x85, 0x8a, 0x89, 0xde, 0xe4, 0x4e, 0x84, 0xe5, 0x6d, 0x31, 0x39,
 0x0c, 0x3e, 0xed, 0x96, 0x58, 0x3e, 0xbe, 0x07, 0x53, 0x61, 0xaa, 0xb2, 0x3d, 0x92, 0x13, 0x49,
 0x7d, 0x6f, 0xee, 0xd3, 0xca, 0x30, 0x71, 0xd4, 0x1e, 0xed, 0x1f, 0x94, 0xb4, 0xdf, 0x9a, 0x79,
 0xc4, 0x8b, 0xe3, 0x73, 0xbc, 0x3c, 0xd8, 0x57, 0x9e, 0xb3, 0xba, 0x61, 0xa0, 0xaf, 0x52, 0xac,
 0x7d, 0xdf, 0x84, 0xe9, 0x19, 0x45, 0xc3, 0x06, 0x22, 0x29, 0xd3, 0xfc, 0x72, 0x24, 0xf5, 0x9e,
 0x97, 0x9c, 0x9d, 0x40, 0x23, 0x0e, 0x31, 0xfd, 0xb4, 0x7c, 0xd1, 0xe8, 0x71, 0x18, 0x76, 0xe3,
 0x34, 0xe2, 0x7d, 0x60, 0xe5, 0x29, 0xfc, 0x1a, 0xaa, 0x91, 0x9a, 0xc1, 0x33, 0xb6, 0x6d, 0xf9,
 0x74, 0xfe, 0x90, 0x5f, 0xaf, 0xfd, 0xd1, 0x85, 0xff, 0x53, 0x1a, 0x94, 0xde, 0x1c, 0xb8, 0xc5,
 0x30, 0xb7, 0x25, 0x88, 0x5b, 0xfb, 0xf3, 0x5f, 0xaf, 0x19, 0x34, 0x52, 0x0c, 0x4e, 0x38, 0x60,
 0x75, 0x59, 0xea, 0xe2, 0x21, 0x4c, 0x70, 0x3c, 0x49, 0x74, 0x49, 0xca, 0xa1, 0xcb, 0x12, 0x61,
 0x34, 0xf0, 0x24, 0x63, 0x60, 0x3c, 0x49, 0xd5, 0x40, 0xb9, 0x78, 0x1c, 0xef, 0x90, 0x8f, 0x6d,
 0x68, 0x85, 0xa4, 0xd7, 0x64, 0x69, 0x94, 0xd0, 0x4a, 0x18, 0x1e, 0xdf, 0x7f, 0x30, 0x1a, 0x75,
 0xeb, 0xe3, 0x47, 0x82, 0x13, 0x4e, 0x7c, 0xe0, 0xb8, 0x94, 0x90, 0xf7, 0x7c, 0x2f, 0x11, 0xbd,
 0x60, 0x4f, 0xa4, 0x49, 0x30, 0x59, 0xfb, 0xe3, 0x2b, 0xe2, 0xf8, 0x1f, 0x5f, 0xf4, 0xfd, 0xb4,
 0x6d, 0xd4, 0x29, 0x60, 0x74, 0x6d, 0xc9, 0xc1, 0x75, 0xca, 0xf0, 0x8e, 0xde, 0x4e, 0x81, 0xfe,
 0x2b, 0x33, 0xfb, 0x9e, 0xc0, 0xe5, 0x2c, 0xa7, 0xa9, 0xb8, 0x3b, 0x52, 0x10, 0xee, 0xf7, 0xfb,
 0xe2, 0xa4, 0x85, 0x6d, 0xef, 0x30, 0xe9, 0x91, 0x8e, 0x71, 0x60, 0x24, 0x8c, 0xbc, 0x42, 0xd1,
 0xf6, 0x1e, 0x0f, 0x9d, 0x78, 0x84, 0xb4, 0xe5, 0x78, 0xee, 0x06, 0x36, 0x12, 0x61, 0x89, 0x45,
 0x50, 0xb8, 0x33, 0x31, 0x22, 0x2f, 0xc8, 0xf9, 0xfd, 0xca, 0x84, 0xdc, 0x45, 0xb2, 0xba, 0x44,
 0xb1, 0x38, 0x71, 0x68, 0x48, 0x74, 0x4f, 0xe0, 0x3c, 0x27, 0x30, 0xb8, 0x58, 0x94, 0x18, 0x88,
 0x9e, 0x90, 0x65, 0xb4, 0x81, 0xa4, 0xc8, 0x95, 0x02, 0x43, 0x48, 0x0a, 0x6f, 0x5f, 0xe0, 0xc7,
 0x7b, 0x81, 0x23, 0xc4, 0x55, 0x3c, 0xca, 0xca, 0xc8, 0xaa, 0x11, 0xe2, 0x75, 0x12, 0xb1, 0xa0,
 0xa9, 0x7c, 0x18, 0x70, 0xd0, 0x24, 0x32, 0x48, 0xa0, 0xe9, 0x90, 0xb4, 0x43, 0x70, 0xb0, 0xa3,
 0x78, 0x14, 0x0c, 0xbe, 0xf0, 0x8f, 0x38, 0xc8, 0x38, 0xd1, 0xc5, 0x50, 0x7a, 0x38, 0x01, 0x14,
 0xa3, 0x0f, 0xc4, 0xd6, 0x83, 0x09, 0x8a, 0x03, 0x8f, 0x03, 0xa6, 0x03, 0x70, 0x07, 0xcc, 0xd0,
 0x00, 0x8a, 0x00, 0xef, 0x1b, 0x30, 0xd0, 0x96, 0xc5, 0x12, 0x94, 0x70, 0x41, 0xf0, 0x1a, 0x30,
 0x41, 0x11, 0x01, 0x60, 0x4e, 0x11, 0xb0, 0x16, 0x09, 0x53, 0x24, 0x00, 0x80
};

const u8 G_portrait_littleindian[377] = {
 0x28, 0x24, 0x42, 0x44, 0x20, 0x22, 0x06, 0x00, 0x40, 0x62, 0x00, 0x12, 0x61, 0x51, 0x32, 0xf3,
 0x42, 0x20, 0x06, 0x24, 0x06, 0x31, 0x34, 0x35, 0x07, 0x62, 0x1c, 0xc0, 0x0c, 0x04, 0x74, 0x60,
 0x09, 0x84, 0x96, 0x48, 0xc0, 0x82, 0x87, 0x04, 0xc8, 0x50, 0x0b, 0x90, 0x52, 0x1c, 0x70, 0x1b,
 0x07, 0x49, 0x60, 0x2a, 0x0b, 0x16, 0x01, 0xf6, 0x02, 0x92, 0x90, 0x80, 0x25, 0x84, 0x24, 0x09,
 0xa0, 0x08, 0x00, 0x26, 0xcc, 0x6e, 0xc2, 0x0a, 0x5e, 0x48, 0x0f, 0x30, 0x96, 0x92, 0x02, 0x24,
 0x0f, 0x61, 0x33, 0x63, 0x60, 0x91, 0x90, 0x86, 0x0b, 0x74, 0xfc, 0x17, 0x08, 0xdd, 0x87, 0xd8,
 0x60, 0x60, 0x84, 0xbc, 0x03, 0x12, 0xe5, 0x90, 0xcc, 0x22, 0xe8, 0x80, 0x0b, 0xb5, 0xa2, 0xc3,
 0x81, 0x27, 0xc0, 0x85, 0x3b, 0xe1, 0x1e, 0x90, 0x22, 0x0e, 0x12, 0x01, 0x93, 0x93, 0xb5, 0x91,
 0x62, 0x12, 0x45, 0xa8, 0x77, 0x32, 0xf3, 0x0a, 0x91, 0xa8, 0x75, 0x60, 0xfd, 0x32, 0x33, 0x31,
 0x61, 0x91, 0xd6, 0x1a, 0x83, 0x60, 0x40, 0x12, 0x92, 0x5a, 0x18, 0x91, 0x62, 0xa8, 0xf0, 0x70,
 0x6b, 0x77, 0x31, 0x46, 0x88, 0xd4, 0x60, 0xba, 0x32, 0x19, 0x51, 0x91, 0xd3, 0xbc, 0xf6, 0xd0,
 0xf0, 0x98, 0xf0, 0xb2, 0x6f, 0x30, 0x63, 0x93, 0x33, 0x0c, 0x60, 0x11, 0x5f, 0x4b, 0x85, 0x7c,
 0x1d, 0x96, 0xe4, 0xd0, 0x6b, 0xb9, 0x1e, 0x7f, 0x76, 0xe8, 0xbc, 0x2b, 0x30, 0xd0, 0xf1, 0x11,
 0x66, 0x49, 0x61, 0x95, 0x53, 0x62, 0x2f, 0xd0, 0x69, 0xa9, 0x32, 0xe1, 0x4d, 0x91, 0xe2, 0x8f,
 0x8c, 0xa5, 0xf3, 0x08, 0x60, 0x15, 0xd5, 0x61, 0x24, 0x7d, 0xb2, 0x1e, 0xb2, 0x03, 0xb9, 0xf4,
 0x92, 0xba, 0x71, 0x16, 0x59, 0xc1, 0xa4, 0x08, 0x79, 0x2a, 0xbf, 0xc2, 0x93, 0x32, 0x30, 0x0b,
 0xf1, 0x12, 0xb4, 0xf7, 0x50, 0x35, 0xc3, 0x4f, 0xe7, 0xf0, 0x41, 0x71, 0x24, 0x49, 0xc2, 0x99,
 0x72, 0x9b, 0x59, 0x26, 0xe8, 0x30, 0xf9, 0x61, 0xf6, 0x24, 0x01, 0x32, 0x8a, 0xa0, 0x43, 0x39,
 0xa7, 0x31, 0xc9, 0x92, 0xfe, 0x0a, 0x2a, 0x85, 0x62, 0xcb, 0xe1, 0xdb, 0x4b, 0x0d, 0x59, 0x94,
 0x89, 0x58, 0xc2, 0xa7, 0x80, 0x37, 0x22, 0x62, 0x16, 0x79, 0x90, 0x50, 0x18, 0x13, 0x81, 0x59,
 0x0b, 0x5c, 0x30, 0x6b, 0x01, 0x00, 0x5a, 0xeb, 0xa1, 0x62, 0xe2, 0x66, 0xd1, 0x59, 0x3c, 0x1b,
 0x4f, 0xef, 0x1b, 0x9b, 0x18, 0x46, 0xcc, 0x7b, 0x60, 0xb0, 0x24, 0xfc, 0xd1, 0xf3, 0x19, 0x9d,
 0xd2, 0x63, 0xb6, 0x69, 0xa6, 0x39, 0xd9, 0xdf, 0x4d, 0x61, 0x6b, 0x59, 0x4f, 0xc3, 0x86, 0xa7,
 0x65, 0x51, 0xf6, 0x5e, 0x2e, 0x81, 0x08, 0x00, 0x80
};

const u8 G_portrait_shaolinkid[423] = {
 0x02, 0x04, 0x42, 0x24, 0x60, 0x21, 0x06, 0x00, 0x00, 0x20, 0x46, 0x10, 0x20, 0x16, 0x52, 0x72,
 0x49, 0x40, 0x62, 0x10, 0x24, 0x06, 0x41, 0x05, 0x17, 0x64, 0xc2, 0xc0, 0x81, 0x0c, 0x82, 0x06,
 0x28, 0x81, 0x84, 0x49, 0x48, 0x40, 0x11, 0x01, 0x20, 0x1c, 0xc0, 0x90, 0x30, 0x48, 0xf3, 0x48,
 0x35, 0xc3, 0x21, 0xc2, 0x58, 0xb6, 0xc1, 0xd3, 0xa4, 0x61, 0xc1, 0x7a, 0x2d, 0xf3, 0x41, 0x71,
 0xb6, 0x49, 0xd3, 0xde, 0x92, 0x12, 0xe3, 0x36, 0xa7, 0xde, 0xb2, 0x22, 0x09, 0x8b, 0x53, 0x48,
 0xe3, 0x09, 0xc2, 0x2a, 0x0d, 0xfa, 0xd3, 0xfb, 0x21, 0xe2, 0x71, 0x0a, 0xee, 0xe2, 0xff, 0xe3,
 0x50, 0x5b, 0x8a, 0xbb, 0xc5, 0x1d, 0x6e, 0xcb, 0x5a, 0x1c, 0xf7, 0xfb, 0x24, 0x04, 0xb0, 0x68,
 0x18, 0xe8, 0x78, 0xff, 0xc3, 0x00, 0x27, 0x42, 0xe2, 0x80, 0x91, 0x48, 0x00, 0x96, 0x14, 0xc0,
 0x89, 0x81, 0x44, 0xae, 0x61, 0x6f, 0x7d, 0xb2, 0x92, 0xd1, 0x58, 0x8a, 0x60, 0xb9, 0xd3, 0x6e,
 0x90, 0x44, 0x61, 0xcb, 0xd3, 0xb0, 0xc8, 0x03, 0xb8, 0x8b, 0x0a, 0x86, 0x4b, 0xe2, 0x4a, 0xd1,
 0x80, 0x17, 0xae, 0x3c, 0xb2, 0x25, 0x71, 0x24, 0x72, 0x02, 0x5e, 0x45, 0x92, 0x25, 0x18, 0xce,
 0x18, 0xc0, 0x24, 0xe2, 0xa0, 0x04, 0xd1, 0x26, 0x32, 0x96, 0xc2, 0x54, 0x0a, 0xc1, 0xc9, 0xd3,
 0x71, 0xfe, 0xe4, 0x39, 0x7c, 0xa5, 0xb5, 0xd3, 0xb4, 0x30, 0x22, 0x2c, 0xfd, 0x61, 0x51, 0x90,
 0x6f, 0x60, 0x81, 0xde, 0xb6, 0xaa, 0xb2, 0x59, 0xba, 0x8d, 0x5b, 0x84, 0x0d, 0xb3, 0x60, 0x33,
 0xd3, 0xe3, 0x51, 0x0a, 0x92, 0x1c, 0x63, 0x94, 0xc1, 0x97, 0xb8, 0x68, 0x27, 0x6d, 0xc0, 0x79,
 0x2f, 0xb6, 0x2b, 0x83, 0x25, 0xbe, 0x3c, 0xcf, 0x68, 0x90, 0x63, 0x2e, 0x1e, 0x6d, 0xea, 0x4b,
 0x94, 0x9d, 0xdf, 0x9e, 0xe5, 0x90, 0x92, 0x65, 0xcf, 0x50, 0x51, 0xa8, 0x75, 0x79, 0x55, 0xc3,
 0xc3, 0xc5, 0xef, 0x3a, 0x5a, 0xd7, 0x6d, 0x35, 0xf9, 0x68, 0x3d, 0x71, 0xa6, 0x7d, 0x4c, 0xc5,
 0x0b, 0xcb, 0xdf, 0x85, 0x6d, 0xff, 0x7d, 0x9e, 0xdd, 0x94, 0x4e, 0x3d, 0xca, 0x22, 0x65, 0xef,
 0xdc, 0x25, 0x97, 0x90, 0xe2, 0xd2, 0xd5, 0x22, 0xd2, 0xbe, 0x49, 0x4a, 0x37, 0xf3, 0xff, 0x68,
 0x60, 0x96, 0x94, 0x53, 0x9e, 0xeb, 0xd6, 0xc1, 0xd5, 0x6d, 0xbd, 0xce, 0xca, 0x2d, 0x6d, 0xac,
 0x97, 0xc3, 0x75, 0xd5, 0x6d, 0x84, 0x3c, 0xec, 0x2a, 0x93, 0xfb, 0xb2, 0xd3, 0xd7, 0xda, 0x87,
 0xa5, 0x92, 0x15, 0x28, 0xf9, 0xc2, 0xcb, 0x25, 0x5b, 0xea, 0xda, 0xc5, 0xb8, 0xd0, 0xb6, 0xdb,
 0xce, 0x5f, 0x5e, 0xb2, 0xe7, 0xb2, 0x2c, 0x99, 0xca, 0x84, 0x88, 0xaf, 0x66, 0x11, 0x94, 0x34,
 0x63, 0x9d, 0xef, 0xa7, 0xc1, 0xc5, 0x1a, 0x46, 0x34, 0x12, 0x2d, 0x2d, 0x48, 0x42, 0x60, 0x52,
 0x68, 0x9c, 0x14, 0x16, 0xbe, 0xf1, 0xc2, 0xfe, 0xf3, 0x28, 0x81, 0x96, 0x68, 0xf7, 0x88, 0x28,
 0xa9, 0x6f, 0xd7, 0x80, 0x08, 0x00, 0x80
};
