//-----------------------------LICENSE NOTICE------------------------------------
//   ____        _           _       _____      _                                
//  |  _ \      | |         ( )     |  __ \    | |                               
//  | |_) | __ _| |__   __ _|/ ___  | |__) |_ _| | __ _  ___ ___                 
//  |  _ < / _` | '_ \ / _` | / __| |  ___/ _` | |/ _` |/ __/ _ |                
//  | |_) | (_| | |_) | (_| | \__ \ | |  | (_| | | (_| | (_|  __/                
//  |____/ \__,_|_.__/ \__,_| |___/ |_|   \__,_|_|\__,_|\___\___|                
//
//  Code & Gfx Copyright (C) 2017 Rafael Castillo (@Azicuetano)
//  Music & Fx Copyright (C) 2017 John McKlain (@elmcklain)
//  This file is part of BABA'S PALACE: an Amstrad CPC Game made with CPCTelera
//
//  This program is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.
//------------------------------------------------------------------------------

#include <cpctelera.h>
#include "menu-star.h"
// Data created with Img2CPC - (c) Retroworks - 2007-2015
// Tile gfx_menu_star_0: 6x10 pixels, 3x10 bytes.

// Locating menu-star............: (0060 bytes) from memory address 0x142d to 0x1469
CPCT_ABSOLUTE_LOCATION_AREA(0x142d);

const u8 gfx_menu_star_0[3 * 10] = {
	0x0c, 0x0c, 0x0c,
	0x0c, 0x0c, 0x0c,
	0x0c, 0x2c, 0x0c,
	0x0c, 0x8e, 0x0c,
	0x4d, 0xef, 0x0c,
	0x4d, 0xef, 0x0c,
	0x0c, 0x8e, 0x0c,
	0x0c, 0x2c, 0x0c,
	0x0c, 0x0c, 0x0c,
	0x0c, 0x0c, 0x0c
};

// Tile gfx_menu_star_1: 6x10 pixels, 3x10 bytes.
const u8 gfx_menu_star_1[3 * 10] = {
	0x0c, 0x2c, 0x0c,
	0x0c, 0x8e, 0x0c,
	0x0c, 0x8e, 0x0c,
	0x0c, 0xae, 0x0c,
	0x2d, 0xaf, 0x2c,
	0x2d, 0xaf, 0x2c,
	0x0c, 0xae, 0x0c,
	0x0c, 0x8e, 0x0c,
	0x0c, 0x8e, 0x0c,
	0x0c, 0x2c, 0x0c
};

CPCT_RELOCATABLE_AREA(menu_star);
// End of file.