//-----------------------------LICENSE NOTICE------------------------------------
//   ____        _           _       _____      _                                
//  |  _ \      | |         ( )     |  __ \    | |                               
//  | |_) | __ _| |__   __ _|/ ___  | |__) |_ _| | __ _  ___ ___                 
//  |  _ < / _` | '_ \ / _` | / __| |  ___/ _` | |/ _` |/ __/ _ |                
//  | |_) | (_| | |_) | (_| | \__ \ | |  | (_| | | (_| | (_|  __/                
//  |____/ \__,_|_.__/ \__,_| |___/ |_|   \__,_|_|\__,_|\___\___|                
//
//  Code & Gfx Copyright (C) 2017 Rafael Castillo (@Azicuetano)
//  Music & Fx Copyright (C) 2017 John McKlain (@elmcklain)
//  This file is part of BABA'S PALACE: an Amstrad CPC Game made with CPCTelera
//
//  This program is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.
//------------------------------------------------------------------------------

#include "peloton-sideral.h"
// Data created with Img2CPC - (c) Retroworks - 2007-2015
// Tile gfx_peloton_sideral_0: 14x22 pixels, 7x22 bytes.
const u8 gfx_peloton_sideral_0[7 * 22] = {
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0xc0, 0xc0, 0xc0, 0x00, 0x00,
	0x00, 0x40, 0x91, 0x33, 0x62, 0x80, 0x00,
	0x00, 0x40, 0x33, 0x37, 0x3b, 0xc0, 0x00,
	0x00, 0xc0, 0x33, 0x33, 0x37, 0x62, 0x00,
	0x00, 0x91, 0xb9, 0x33, 0x33, 0x62, 0x00,
	0x40, 0xd4, 0xb9, 0xb9, 0x33, 0x62, 0x80,
	0x40, 0x93, 0x76, 0xb9, 0x33, 0x33, 0x80,
	0x40, 0x93, 0x33, 0x33, 0x33, 0x63, 0x80,
	0x40, 0x33, 0x33, 0x33, 0x33, 0x63, 0x80,
	0x40, 0x33, 0x33, 0x33, 0x33, 0xc3, 0x80,
	0x40, 0x62, 0x91, 0x33, 0x33, 0xc3, 0x80,
	0x40, 0xd5, 0xc0, 0x33, 0x33, 0x92, 0x80,
	0x00, 0x91, 0xd5, 0x91, 0x63, 0xc2, 0x00,
	0x00, 0x91, 0x62, 0xbb, 0x63, 0x60, 0x00,
	0x00, 0xc0, 0x33, 0x33, 0xc3, 0xc0, 0x00,
	0x00, 0x40, 0x33, 0x63, 0x92, 0x80, 0x00,
	0x00, 0x40, 0xc1, 0xc3, 0x60, 0x80, 0x00,
	0x00, 0x00, 0xc0, 0xc0, 0xc0, 0x00, 0x00
};

// Tile gfx_peloton_sideral_1: 14x22 pixels, 7x22 bytes.
const u8 gfx_peloton_sideral_1[7 * 22] = {
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0xc0, 0xc0, 0xc0, 0x00, 0x00,
	0x00, 0x40, 0x91, 0x33, 0x62, 0x80, 0x00,
	0x00, 0x40, 0x33, 0x37, 0x3b, 0xc0, 0x00,
	0x00, 0xc0, 0x33, 0x33, 0x37, 0x62, 0x00,
	0x00, 0x91, 0xb9, 0x33, 0x33, 0x62, 0x00,
	0x40, 0xd4, 0xb9, 0xb9, 0x33, 0x62, 0x80,
	0x40, 0x93, 0x76, 0xb9, 0x33, 0x33, 0x80,
	0x40, 0x93, 0x33, 0x33, 0x33, 0x63, 0x80,
	0x40, 0x33, 0x33, 0x33, 0x33, 0x63, 0x80,
	0x40, 0x33, 0x33, 0x33, 0x33, 0x63, 0x80,
	0x40, 0x62, 0x91, 0x33, 0x33, 0xc3, 0x80,
	0x40, 0xd5, 0xc0, 0x33, 0x33, 0xc3, 0x80,
	0x00, 0x85, 0xd5, 0x91, 0x33, 0x92, 0x80,
	0x00, 0xc0, 0xc0, 0xbb, 0x63, 0x92, 0x80,
	0x00, 0x91, 0xc0, 0x91, 0x63, 0xc2, 0x00,
	0x00, 0x91, 0x62, 0x1b, 0xc3, 0x60, 0x00,
	0x00, 0xc0, 0x33, 0x33, 0xc3, 0x80, 0x00,
	0x00, 0x40, 0x33, 0x63, 0x92, 0x80, 0x00,
	0x00, 0x40, 0xc1, 0xc3, 0x60, 0x80, 0x00,
	0x00, 0x00, 0xc0, 0xc0, 0xc0, 0x00, 0x00
};

