//-----------------------------LICENSE NOTICE------------------------------------
//   ____        _           _       _____      _                                
//  |  _ \      | |         ( )     |  __ \    | |                               
//  | |_) | __ _| |__   __ _|/ ___  | |__) |_ _| | __ _  ___ ___                 
//  |  _ < / _` | '_ \ / _` | / __| |  ___/ _` | |/ _` |/ __/ _ |                
//  | |_) | (_| | |_) | (_| | \__ \ | |  | (_| | | (_| | (_|  __/                
//  |____/ \__,_|_.__/ \__,_| |___/ |_|   \__,_|_|\__,_|\___\___|                
//
//  Code & Gfx Copyright (C) 2017 Rafael Castillo (@Azicuetano)
//  Music & Fx Copyright (C) 2017 John McKlain (@elmcklain)
//  This file is part of BABA'S PALACE: an Amstrad CPC Game made with CPCTelera
//
//  This program is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.
//------------------------------------------------------------------------------

#include <cpctelera.h>
#include "rightside_solidwall.h"
// Data created with Img2CPC - (c) Retroworks - 2007-2015
// Tile gfx_rightside_solidwall: 4x22 pixels, 2x22 bytes.

// Locating rightside_solidwall..: (0044 bytes) from memory address 0x263b to 0x2667
CPCT_ABSOLUTE_LOCATION_AREA(0x263b);

const u8 gfx_rightside_solidwall[2 * 22] = {
	0x90, 0x21,
	0x21, 0x0f,
	0x53, 0x0f,
	0x07, 0xa3,
	0x03, 0x1a,
	0x21, 0x42,
	0x90, 0x42,
	0xc0, 0x60,
	0x90, 0x12,
	0x21, 0x0f,
	0x25, 0x0f,
	0x71, 0x0b,
	0x90, 0x30,
	0xc0, 0x60,
	0x21, 0x12,
	0x0f, 0x0f,
	0xa7, 0x0f,
	0x53, 0x0b,
	0x03, 0x12,
	0x03, 0x30,
	0x21, 0x60,
	0x21, 0x90
};

CPCT_RELOCATABLE_AREA(rightside_solidw);
// End of file.