//-----------------------------LICENSE NOTICE------------------------------------
//   ____        _           _       _____      _                                
//  |  _ \      | |         ( )     |  __ \    | |                               
//  | |_) | __ _| |__   __ _|/ ___  | |__) |_ _| | __ _  ___ ___                 
//  |  _ < / _` | '_ \ / _` | / __| |  ___/ _` | |/ _` |/ __/ _ |                
//  | |_) | (_| | |_) | (_| | \__ \ | |  | (_| | | (_| | (_|  __/                
//  |____/ \__,_|_.__/ \__,_| |___/ |_|   \__,_|_|\__,_|\___\___|                
//
//  Code & Gfx Copyright (C) 2017 Rafael Castillo (@Azicuetano)
//  Music & Fx Copyright (C) 2017 John McKlain (@elmcklain)
//  This file is part of BABA'S PALACE: an Amstrad CPC Game made with CPCTelera
//
//  This program is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.
//------------------------------------------------------------------------------

#include <cpctelera.h>
#include "stone.h"
// Data created with Img2CPC - (c) Retroworks - 2007-2015
// Tile gfx_stone: 14x22 pixels, 7x22 bytes.

// Locating stone................: (0154 bytes) from memory address 0x2668 to 0x2702
CPCT_ABSOLUTE_LOCATION_AREA(0x2668);

const u8 gfx_stone[7 * 22] = {
	0x00, 0xcf, 0xcf, 0xcf, 0x1e, 0x3c, 0x00,
	0x45, 0xf3, 0x4f, 0x9e, 0x2d, 0x3c, 0x28,
	0xdb, 0xe7, 0x3c, 0x4f, 0x3c, 0xf0, 0x3c,
	0xdb, 0x9e, 0x6d, 0x9e, 0x78, 0x78, 0xb4,
	0xcf, 0x9e, 0x8f, 0xa7, 0x3c, 0xf0, 0xf0,
	0xdb, 0xcf, 0x79, 0x3c, 0x3c, 0x78, 0xb4,
	0xcf, 0x1e, 0x6d, 0x3c, 0x1e, 0x3c, 0xf0,
	0xcf, 0x3c, 0xb4, 0x3c, 0x78, 0x78, 0x78,
	0x9e, 0xb4, 0xb4, 0x3c, 0x78, 0x3c, 0xf0,
	0x2d, 0x3c, 0xf0, 0x3c, 0xb4, 0xf0, 0x78,
	0x9e, 0xb4, 0xf0, 0xb4, 0x3c, 0xb4, 0x78,
	0x3c, 0xb4, 0x78, 0x3c, 0x78, 0xf0, 0x78,
	0x3c, 0xf0, 0x3c, 0xf0, 0x3c, 0xb4, 0xf0,
	0x9e, 0xf0, 0x3c, 0x3c, 0x78, 0xf0, 0x78,
	0x3c, 0x78, 0xb4, 0x3c, 0xf0, 0xb4, 0xf0,
	0x78, 0xb4, 0xf0, 0x78, 0xf0, 0x78, 0xf0,
	0x78, 0xb4, 0x3c, 0x3c, 0xb4, 0xb4, 0xf0,
	0xb4, 0x78, 0x3c, 0x78, 0x78, 0x78, 0xf0,
	0xf0, 0xb4, 0xb4, 0xb4, 0xb4, 0xf0, 0xf0,
	0xf0, 0xf0, 0x78, 0x78, 0x78, 0x78, 0xf0,
	0x50, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xa0,
	0x00, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0x00
};

CPCT_RELOCATABLE_AREA(stone);
// End of file.